apply plugin: 'com.android.application'
apply from: './publish/demo-publication.gradle'

android {
    compileSdkVersion 30

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 30
        applicationId "cn.m4399.single.demo"
        versionCode 6
        versionName "1.0"
        multiDexEnabled true
    }

    signingConfigs {
        release {
            keyAlias 'max'
            keyPassword '111111'
            storeFile file('./m4399.keystore')
            storePassword '111111'
        }
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.release
        }
    }

    flavorDimensions "default"
    productFlavors {
        landscape {
            applicationId 'cn.m4399.single.demo.landscape'
            signingConfigs.release
            resValue "string", "demo_name", "单机SDK-L"
            manifestPlaceholders = [demo_screen_orientation: "landscape"]
        }
        portrait {
            applicationId 'cn.m4399.single.demo.portrait'
            signingConfigs.release
            resValue "string", "demo_name", "单机SDK-P"
            manifestPlaceholders = [demo_screen_orientation: "portrait"]
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation project(path: ':single')
    implementation project(path: ':activation')
    implementation files('../prebuilt/libs/android-support-v13-23.2.1.jar')
//    implementation 'cn.m4399.sdk:single:1.4.0-SNAPSHOT'
}
